tigase.vhosts

## Class VHostItemImpl.DataType

- java.lang.Object
- - tigase.vhosts.VHostItemImpl.DataType

- Enclosing class:
    VHostItemImpl

      public static class VHostItemImpl.DataType
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataType(String key, String name, Class<? extends Enum<E>> e, E defValue)`
    `DataType(String key, String name, Class cls, Class<? extends Collection> collectionCls, Object defValue)`
    `DataType(String key, String name, Class cls, Class<? extends Collection> collectionCls, Object defValue, Object[] options)`
    `DataType(String key, String name, Class cls, Class<? extends Collection> collectionCls, Object defValue, Object[] options, String[] optionsNames)`
    `DataType(String key, String name, Class cls, Object defValue)`
    `DataType(String key, String name, Class cls, Object defValue, Object[] options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class` | `getCls()`
    `Class<? extends Collection>` | `getCollectionCls()`
    `<T> T` | `getDefValue()`
    `String` | `getKey()`
    `String` | `getName()`
    `<T> T[]` | `getOptions()`
    `String[]` | `getOptionsNames()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataType

          public DataType(String key,
                          String name,
                          Class cls,
                          Class<? extends Collection> collectionCls,
                          Object defValue,
                          Object[] options,
                          String[] optionsNames)

    - #### DataType

          public DataType(String key,
                          String name,
                          Class cls,
                          Class<? extends Collection> collectionCls,
                          Object defValue,
                          Object[] options)

    - #### DataType

          public DataType(String key,
                          String name,
                          Class cls,
                          Class<? extends Collection> collectionCls,
                          Object defValue)

    - #### DataType

          public DataType(String key,
                          String name,
                          Class cls,
                          Object defValue,
                          Object[] options)

    - #### DataType

          public DataType(String key,
                          String name,
                          Class cls,
                          Object defValue)

    - #### DataType

          public DataType(String key,
                          String name,
                          Class<? extends Enum<E>> e,
                          E defValue)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getKey

          public String getKey()

    - #### getCls

          public Class getCls()

    - #### getCollectionCls

          public Class<? extends Collection> getCollectionCls()

    - #### getDefValue

          public <T> T getDefValue()

    - #### getOptions

          public <T> T[] getOptions()

    - #### getOptionsNames

          public String[] getOptionsNames()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2004–2021 "Tigase, Inc.". All rights reserved.